Bug 1718646 - Modular dependency problems involving libgit2, bat, exa, silver, tokei in F30 [tokei module has not been rebuilt for libgit2 0.28]
Summary: Modular dependency problems involving libgit2, bat, exa, silver, tokei in F30...
Keywords:
Status: CLOSED DUPLICATE of bug 1717117
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa
Depends On:
Blocks: F31BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2019-06-09 16:06 UTC by Matt Fagnani
Modified: 2019-07-02 08:50 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-13 06:19:14 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1717117 'high' 'NEW' 'Can''t install module libgit2:0.28 due to (uninstalled) conflicts' 2019-12-02 18:35:42 UTC
Red Hat Bugzilla 1719976 'unspecified' 'NEW' 'Dies on issues in default module streams even if they will not affect install' 2019-12-02 18:35:42 UTC

Internal Links: 1719976

Description Matt Fagnani 2019-06-09 16:06:09 UTC
Description of problem:

I ran sudo dnf upgrade --refresh with the updates-testing and updates-testing-modular enabled in an installation of the F30 KDE Plasma spin, and I got the following modular dependency problems involving libgit2, bat, exa, silver modules.

Modular dependency problems:

 Problem 1: module bat:latest:3020190608081801:3494d9fa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module bat:latest:3020190424130937:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - conflicting requests
 Problem 2: module exa:latest:3020190608082828:3494d9fa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module exa:latest:3020190424131210:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - conflicting requests
 Problem 3: module silver:rolling:3020190608092801:3494d9fa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module silver:rolling:3020190505102338:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - conflicting requests

I only have the libgit2-0.27.8-2 regular rpm installed of those packages.

sudo dnf repoquery libgit2* bat* exa* silver* --installed
libgit2-0:0.27.8-2.fc30.x86_64 

When I ran sudo dnf module install libgit2:0.28, I got the following additional errors.

Modular dependency problems:

 Problem 1: module bat:latest:3020190608081801:3494d9fa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module bat:latest:3020190424130937:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - conflicting requests
 Problem 2: module exa:latest:3020190608082828:3494d9fa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module exa:latest:3020190424131210:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - conflicting requests
 Problem 3: module silver:rolling:3020190608092801:3494d9fa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module silver:rolling:3020190505102338:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - conflicting requests
No default profiles for module libgit2:0.28
Problems in request:
Modular dependency problems with Defaults:

 Problem 1: conflicting requests
  - module bat:latest:3020190424130937:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
 Problem 2: module silver:rolling:3020190505102338:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - conflicting requests
 Problem 3: module exa:latest:3020190424131210:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - conflicting requests
 Problem 4: module tokei:rolling:3020190424130518:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - conflicting requests
 Problem 5: module bat:latest:3020190424130937:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - conflicting requests
 Problem 6: module tokei:rolling:3020190424130518:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - conflicting requests
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module silver:rolling:3020190608092801:3494d9fa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module exa:latest:3020190424131210:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
 Problem 7: module silver:rolling:3020190608092801:3494d9fa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module exa:latest:3020190306064823:e50d0d19-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - conflicting requests
  - module tokei:rolling:3020190424130518:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
 Problem 8: module bat:latest:3020190608081801:3494d9fa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module bat:latest:3020190307100850:e50d0d19-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - conflicting requests
  - module tokei:rolling:3020190424130518:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
 Problem 9: module bat:latest:3020190608081801:3494d9fa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module bat:latest:3020190307100850:e50d0d19-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - conflicting requests
 Problem 10: conflicting requests
  - module exa:latest:3020190306064823:e50d0d19-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - module exa:latest:3020190608082828:3494d9fa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
Dependencies resolved.
=======================================================================================================
 Package                 Architecture           Version                  Repository               Size
=======================================================================================================
Enabling module streams:
 libgit2                                        0.28                                                  

Transaction Summary
=======================================================================================================

Is this ok [y/N]: y


When I ran sudo dnf upgrade --refresh, I got an additional dependency error since kf5-ktexteditor-5.58.0-1.fc30.x86_64 requires libgit2.so.27

Modular dependency problems:

 Problem 1: module exa:latest:3020190306064823:e50d0d19-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - conflicting requests
 Problem 2: module exa:latest:3020190424131210:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - conflicting requests
 Problem 3: module bat:latest:3020190424130937:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - conflicting requests
 Problem 4: module bat:latest:3020190608081801:3494d9fa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module silver:rolling:3020190505102338:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - conflicting requests
 Problem 5: module exa:latest:3020190608082828:3494d9fa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
  - module bat:latest:3020190307100850:e50d0d19-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - conflicting requests
 Problem 6: conflicting requests
  - module tokei:rolling:3020190424130518:552c3bf4-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - module silver:rolling:3020190608092801:3494d9fa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module libgit2:0.28:3020190304210604:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190304210604:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190407181355:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190407181355:a5b0195c-0.x86_64
  - module libgit2:0.28:3020190606170438:a5b0195c-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
  - module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3020190606170438:a5b0195c-0.x86_64
Dependencies resolved.

 Problem: cannot install both libgit2-0.28.2-1.module_f30+4570+ec895366.x86_64 and libgit2-0.27.8-2.fc30.x86_64
  - package kf5-ktexteditor-5.58.0-1.fc30.x86_64 requires libgit2.so.27()(64bit), but none of the providers can be installed
  - cannot install the best update candidate for package libgit2-0.27.8-2.fc30.x86_64
  - cannot install the best update candidate for package kf5-ktexteditor-5.58.0-1.fc30.x86_64
  - package libgit2-0.27.8-1.module_f30+2959+693db98d.x86_64 is excluded
  - package libgit2-0.27.8-2.fc30.x86_64 is excluded
=======================================================================================================
 Package      Arch        Version                                   Repository                    Size
=======================================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 libgit2      x86_64      0.28.2-1.module_f30+4570+ec895366         updates-testing-modular      427 k

Transaction Summary
=======================================================================================================
Skip  1 Package

Nothing to do.
Complete!



Version-Release number of selected component (if applicable):
libgit2-0.28.2-1.module_f30+4570+ec895366.x86_64
libgit2-0:0.27.8-2.fc30.x86_64
bat:latest:3020190608081801:3494d9fa-0.x86_64
exa:latest:3020190608082828:3494d9fa-0.x86_64
silver:rolling:3020190608092801:3494d9fa-0.x86_64
kf5-ktexteditor-5.58.0-1.fc30.x86_64

How reproducible:
Each time I've tried it.

Steps to Reproduce:
1. Install the F30 KDE Plasma spin
2. Boot into the Plasma spin
3. Start Plasma (on Wayland)
4. sudo dnf upgrade --refresh (with updates-testing and updates-testing-modular enabled)
5. sudo dnf module install libgit2:0.28
6. sudo dnf upgrade --refresh (with updates-testing and updates-testing-modular enabled)

Actual results:
Modular dependency problems involving libgit2, bat, exa, silver

Expected results:
No dependency problems.

Additional info:

Comment 1 Igor Raits 2019-06-09 16:07:46 UTC
Whatever it is is bug in DNF.

Comment 2 Matt Fagnani 2019-06-09 16:56:56 UTC
OK thanks Igor. I have the following dnf rpms installed.
dnf-0:4.2.5-1.fc30.noarch
dnf-data-0:4.2.5-1.fc30.noarch
dnf-plugins-core-0:4.0.7-1.fc30.noarch
dnf-yum-0:4.2.5-1.fc30.noarch
libdnf-0:0.31.0-3.fc30.x86_64
python3-dnf-0:4.2.5-1.fc30.noarch
python3-dnf-plugins-core-0:4.0.7-1.fc30.noarch
python3-libdnf-0:0.31.0-3.fc30.x86_64

Comment 3 Jaroslav Mracek 2019-06-10 14:24:43 UTC
It looks like that bat in update testing is build only with `libgit2: [0.28]`, but older version requires `libgit2: [0.27]`. It is impossible to enable content of multiple streams at the same time, therefore the behavior is correct. We have to improve a distribution to predict such a problems.

Comment 4 Adam Williamson 2019-06-12 20:55:25 UTC
I don't think that's quite it.

We have various modules listed here: libgit2 itself, bat, exa, silver, and tokei. From the look of the logs, there are versions of the bat, exa and silver modules in play that work with libgit 0.27 *and* versions that work with 0.28. So those modules shouldn't be the problem - they should be able to agree on one or other version of the libgit2 module. I think the problem here is tokei. If you search the output for 'tokei', you will see that *only* a version for libgit 0.27 is shown. It seems the tokei module has not been rebuilt for version 0.28 of the libgit2 module.

So I think what's going on here is 'dnf update' wants to pull in a newer version of one or more out of libgit2, bat, exa, and silver...but it's failing, because to do so it needs to pull in libgit2 0.28, but there is no version of the (installed) tokei module that works with it. So it gives up and complains.

Note, I believe this is also currently affecting (and breaking) Rawhide. If you try a fresh install of Rawhide right now it fails because of this tokei vs. libgit2 issue:

https://openqa.stg.fedoraproject.org/tests/556624#step/_boot_to_anaconda/15

Also, just doing *any* dnf operation on current Rawhide is enough to make it complain about this, although it's only informational in that case (the operation does continue and complete):

[adamw@adam bodhi (develop %)]$ sudo dnf search foo
[sudo] password for adamw: 
Modular dependency problems:

 Problem 1: module libgit2:0.28:3120190606170438:f636be4b-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3120190407181414:f636be4b-0.x86_64
  - module libgit2:0.27:3120190407181414:f636be4b-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3120190606170438:f636be4b-0.x86_64
  - module silver:rolling:3120190608092801:36e279aa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - conflicting requests
 Problem 2: module libgit2:0.28:3120190606170438:f636be4b-0.x86_64 conflicts with module(libgit2:0.27) provided by libgit2:0.27:3120190407181414:f636be4b-0.x86_64
  - module libgit2:0.27:3120190407181414:f636be4b-0.x86_64 conflicts with module(libgit2:0.28) provided by libgit2:0.28:3120190606170438:f636be4b-0.x86_64
  - module exa:latest:3120190608082828:36e279aa-0.x86_64 requires module(libgit2:0.28), but none of the providers can be installed
  - module tokei:rolling:3120190424130518:c3f9a127-0.x86_64 requires module(libgit2:0.27), but none of the providers can be installed
  - conflicting requests
============================================ Name & Summary Matched: foo =============================================
...

So, this is a problem. It also seems wrong that anaconda apparently immediately bails on this conflict in the default modules without checking whether it's actually going to *need* anything from them. I suspect it doesn't really need anything from the tokei module, at least for the default package set.

Comment 5 Adam Williamson 2019-06-12 20:57:04 UTC
Moving to tokei module.

Comment 6 Adam Williamson 2019-06-12 21:08:02 UTC
Hmm, actually it seems I'm partly wrong there: there really is an issue even with bat, exa and silver, because their default streams require the older libgit2. However, that seems to be tracked at https://bugzilla.redhat.com/show_bug.cgi?id=1717117 . Is it OK for this bug to keep being about tokei not having been rebuilt at all?

Comment 7 Igor Raits 2019-06-12 21:51:08 UTC
> Is it OK for this bug to keep being about tokei not having been rebuilt at all?

Well, I'm not going to rebuild it against 0.28 because it is not yet ready for it. That was the whole point about modularity, not? Providing multiple versions so when some apps are not ready for switch, they still can consume old version.

---

I think the original reported in this bug meant more that he has kf5-ktexteditor depending on libgit2.so.27() while for some reason DNF is trying to do some weird things and complaining about not being able to install 0.27 and 0.28 installed at the same time.. Though, nobody is asking DNF to do that.

---

Said that, if you want a bug opened on tokei for rebuild on 0.28 of libgit, please open a new bugreport and I will handle it within few weeks.

Comment 8 Adam Williamson 2019-06-13 04:25:00 UTC
Oh yes, good point. Should we close this as a dupe of the other then, or is there a reason to keep it open separately?

Comment 9 Jaroslav Mracek 2019-06-13 05:36:32 UTC
The latest changes in exa, silver, bat in downstream must be reverted. It makes very bad picture about quality of Fedora.

Additionally rebuild of latest version of exa, silver, bat against libgit 0.27 could also help.

The problem is also that default streams are used. There must be a rule that default stream must not create a conflict.

I would like to kindly ask you Igor whatever you can fix the distribution or you will keep it broken?

Comment 10 Igor Raits 2019-06-13 06:19:14 UTC
(In reply to Adam Williamson from comment #8)
> Oh yes, good point. Should we close this as a dupe of the other then, or is
> there a reason to keep it open separately?

I was thinking if there are 2 different bugs.. But after more thinking it is probably just one.

*** This bug has been marked as a duplicate of bug 1717117 ***


Note You need to log in before you can comment on or make changes to this bug.